<?php

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}

class Wiaas_Admin {

	public static function init() {
		require_once dirname( __FILE__ ) . '/admin/class-wiaas-admin-package.php';
		require_once dirname( __FILE__ ) . '/admin/class-wiaas-admin-pricing.php';
        require_once dirname(__FILE__) . '/admin/template/class-wiaas-admin-template-selection.php';
        require_once dirname(__FILE__) . '/admin/template/class-wiaas-template-products.php';
        require_once dirname(__FILE__) . '/admin/template/class-wiaas-template-admin-ajax.php';
        require_once dirname(__FILE__) . '/admin/class-wiaas-admin-simple-product.php';

        // Admin order projects interface
		require_once dirname(__FILE__) . '/admin/class-wiaas-admin-order-projects.php';
		// Admin documents
		require_once dirname(__FILE__) . '/admin/class-wiaas-admin-documents.php';
		// Admin organization interface
        require_once dirname(__FILE__) . '/admin/class-wiaas-admin-organization.php';

        require_once dirname(__FILE__) . '/admin/class-wiaas-admin-cl.php';

        require_once dirname(__FILE__) . '/admin/class-wiaas-admin-product.php';

        add_action( 'admin_enqueue_scripts', array(__CLASS__, 'enqueue_scripts'), 100 );
	}


    public static  function enqueue_scripts() {
        $plugin_url = untrailingslashit( plugins_url( '/', WIAAS_FILE ) );

        wp_enqueue_style( 'wiaas_admin_menu', $plugin_url . '/assets/css/menu.css' );

        wp_enqueue_style( 'wiaas_admin_packages', $plugin_url . '/assets/css/wiaas-admin-package.css' );

	    wp_enqueue_script( 'wiaas_admin_packages', $plugin_url . '/assets/js/wiaas-admin-package.js' );
    }
}

Wiaas_Admin::init();
